diff --git a/po/fr.po.in b/po/fr.po.in
index 7fa9cca..c03ebaa 100644
--- a/po/fr.po.in
+++ b/po/fr.po.in
@@ -33,7 +33,7 @@ msgstr "Le certificat ne correspond pas avec la clef fournie."
 
 #: gnutls_errors.c:58
 msgid "Could not negotiate a supported compression method."
-msgstr "Echec lors de la négociation d'une méthode de compression."
+msgstr "Échec lors de la négociation d'une méthode de compression."
 
 #: gnutls_errors.c:60
 msgid "An unknown public key algorithm was encountered."
@@ -109,7 +109,7 @@ msgstr "Un paquet de n
 
 #: gnutls_errors.c:102
 msgid "The scanning of a large integer has failed."
-msgstr "Echec lors de la recherche d'un grand entier."
+msgstr "Échec lors de la recherche d'un grand entier."
 
 #: gnutls_errors.c:104
 msgid "Could not export a large integer."
@@ -117,7 +117,7 @@ msgstr "Impossible de transmettre un grand nombre entier."
 
 #: gnutls_errors.c:106
 msgid "Decryption has failed."
-msgstr "Le décryptage a échoué."
+msgstr "Le déchiffrement a échoué."
 
 #: gnutls_errors.c:107
 msgid "Encryption has failed."
@@ -133,19 +133,19 @@ msgstr "Le chiffrement a 
 
 #: gnutls_errors.c:112
 msgid "Public key signing has failed."
-msgstr "Echec de la signature (clef publique)."
+msgstr "Échec de la signature (clef publique)."
 
 #: gnutls_errors.c:114
 msgid "Public key signature verification has failed."
-msgstr "Echec lors de la vérification de la signature (clef publique)."
+msgstr "Échec lors de la vérification de la signature (clef publique)."
 
 #: gnutls_errors.c:116
 msgid "Decompression of the TLS record packet has failed."
-msgstr "Echec de la décompression d'un paquet TLS de données applicatives (\"TLS Record\")."
+msgstr "Échec de la décompression d'un paquet TLS de données applicatives (\"TLS Record\")."
 
 #: gnutls_errors.c:118
 msgid "Compression of the TLS record packet has failed."
-msgstr "Echec de la compression d'un paquet TLS de données applicatives (\"TLS Record\")."
+msgstr "Échec de la compression d'un paquet TLS de données applicatives (\"TLS Record\")."
 
 #: gnutls_errors.c:121
 msgid "Internal error in memory allocation."
@@ -313,7 +313,7 @@ msgstr "Trop de paquets de donn
 
 #: gnutls_errors.c:199
 msgid "The initialization of GnuTLS-extra has failed."
-msgstr "Echec de l'initialisation de GnuTLS-extra."
+msgstr "Échec de l'initialisation de GnuTLS-extra."
 
 #: gnutls_errors.c:202
 msgid "The GnuTLS library version does not match the GnuTLS-extra library version."
@@ -337,7 +337,7 @@ msgstr "Erreur durant le chargement du trousseau de clefs."
 
 #: gnutls_errors.c:213
 msgid "The initialization of LZO has failed."
-msgstr "Echec de l'initialisation de LZO."
+msgstr "Échec de l'initialisation de LZO."
 
 #: gnutls_errors.c:215
 msgid "No supported compression algorithms have been found."
@@ -389,7 +389,7 @@ msgstr "Le mot de passe fourni comporte des caract
 
 #: gnutls_errors.c:241
 msgid "The Message Authentication Code verification failed."
-msgstr "Echec de la vérification du code d'authentification du message (MAC)."
+msgstr "Échec de la vérification du code d'authentification du message (MAC)."
 
 #: gnutls_errors.c:243
 msgid "Some constraint limits were reached."
@@ -409,7 +409,7 @@ msgstr "Un message signalant la fin de l'
 
 #: gnutls_errors.c:252
 msgid "Verifying TLS/IA phase checksum failed"
-msgstr "Echec de la vérification de la somme de contrôle durant la phase \"TLS/IA\" (échange complémentaire de données et clefs)."
+msgstr "Échec de la vérification de la somme de contrôle durant la phase \"TLS/IA\" (échange complémentaire de données et clefs)."
 
 #: gnutls_errors.c:255
 msgid "The specified algorithm or protocol is unknown."
@@ -437,7 +437,7 @@ msgstr "Mauvais bloc MAC"
 
 #: gnutls_alert.c:45
 msgid "Decryption failed"
-msgstr "Le décryptage a échoué"
+msgstr "Le déchiffrement a échoué"
 
 #: gnutls_alert.c:46
 msgid "Record overflow"
@@ -445,11 +445,11 @@ msgstr "D
 
 #: gnutls_alert.c:47
 msgid "Decompression failed"
-msgstr "Echec de décompression"
+msgstr "Échec de décompression"
 
 #: gnutls_alert.c:48
 msgid "Handshake failed"
-msgstr "Echec de négociation"
+msgstr "Échec de négociation"
 
 #: gnutls_alert.c:49
 msgid "Certificate is bad"
@@ -533,7 +533,7 @@ msgstr "Le nom d'utilisateur SRP/PSK est absent ou inconnu"
 
 #: gnutls_alert.c:73
 msgid "Inner application negotiation failed"
-msgstr "Echec de négociation interne à l'application"
+msgstr "Échec de négociation interne à l'application"
 
 #: gnutls_alert.c:75
 msgid "Inner application verification failed"
@@ -542,12 +542,12 @@ msgstr "La v
 #: x509/output.c:156
 #, c-format
 msgid "\t\t\tPath Length Constraint: %d\n"
-msgstr "\t\t\tProfondeur de chemin de certificats (Path Length Constraint): %d\n"
+msgstr "\t\t\tProfondeur de chemin de certificats (Path Length Constraint) : %d\n"
 
 #: x509/output.c:157
 #, c-format
 msgid "\t\t\tPolicy Language: %s"
-msgstr "\t\t\tTermes de politique d'utilisation: %s"
+msgstr "\t\t\tTermes de politique d'utilisation : %s"
 
 #: x509/output.c:166
 msgid ""
@@ -652,17 +652,17 @@ msgstr "%s\t\t\tToutes utilisations.\n"
 #: x509/output.c:499
 #, c-format
 msgid "%s\t\t\tCertificate Authority (CA): FALSE\n"
-msgstr "%s\t\t\tCertificat autorité (CA): NON\n"
+msgstr "%s\t\t\tCertificat autorité (CA) : NON\n"
 
 #: x509/output.c:501
 #, c-format
 msgid "%s\t\t\tCertificate Authority (CA): TRUE\n"
-msgstr "%s\t\t\tCertificat autorité (CA): OUI\n"
+msgstr "%s\t\t\tCertificat autorité (CA) : OUI\n"
 
 #: x509/output.c:504
 #, c-format
 msgid "%s\t\t\tPath Length Constraint: %d\n"
-msgstr "%s\t\t\tProfondeur de chemin de certificats (Path Length Constraint): %d\n"
+msgstr "%s\t\t\tProfondeur de chemin de certificats (Path Length Constraint) : %d\n"
 
 #: x509/output.c:571 x509/output.c:651
 msgid "warning: SAN contains an embedded NUL, replacing with '!'\n"
@@ -671,17 +671,17 @@ msgstr "attention : le champ SAN contient un caract
 #: x509/output.c:657
 #, c-format
 msgid "%s\t\t\tXMPP Address: %.*s\n"
-msgstr "%s\t\t\tAdresse XMPP: %.*s\n"
+msgstr "%s\t\t\tAdresse XMPP : %.*s\n"
 
 #: x509/output.c:662
 #, c-format
 msgid "%s\t\t\totherName OID: %.*s\n"
-msgstr "%s\t\t\tautre nom OID: %.*s\n"
+msgstr "%s\t\t\tautreNom OID : %.*s\n"
 
 #: x509/output.c:664
 #, c-format
 msgid "%s\t\t\totherName DER: "
-msgstr "%s\t\t\tautre Nom DER: "
+msgstr "%s\t\t\tautreNom DER : "
 
 #: x509/output.c:666
 #, c-format
@@ -690,17 +690,17 @@ msgid ""
 "%s\t\t\totherName ASCII: "
 msgstr ""
 "\n"
-"%s\t\t\tautreNom ASCII:"
+"%s\t\t\tautreNom ASCII :"
 
 #: x509/output.c:728
 #, c-format
 msgid "%s\tExtensions:\n"
-msgstr "%s\tExtensions:\n"
+msgstr "%s\tExtensions :\n"
 
 #: x509/output.c:738
 #, c-format
 msgid "%s\t\tBasic Constraints (%s):\n"
-msgstr "%s\t\tContraintes de base (%s):\n"
+msgstr "%s\t\tContraintes de base (%s) :\n"
 
 #: x509/output.c:739 x509/output.c:754 x509/output.c:771 x509/output.c:787
 #: x509/output.c:802 x509/output.c:819 x509/output.c:834 x509/output.c:852
@@ -717,86 +717,86 @@ msgstr "non critique"
 #: x509/output.c:753
 #, c-format
 msgid "%s\t\tSubject Key Identifier (%s):\n"
-msgstr "%s\t\tIdentifiant de clef du sujet (%s):\n"
+msgstr "%s\t\tIdentifiant de clef du sujet (%s) :\n"
 
 #: x509/output.c:770
 #, c-format
 msgid "%s\t\tAuthority Key Identifier (%s):\n"
-msgstr "%s\t\tIdentifiant de la clef de l'autorité (%s):\n"
+msgstr "%s\t\tIdentifiant de la clef de l'autorité (%s) :\n"
 
 #: x509/output.c:786
 #, c-format
 msgid "%s\t\tKey Usage (%s):\n"
-msgstr "%s\t\tUsages possibles de la clef (%s):\n"
+msgstr "%s\t\tUsages possibles de la clef (%s) :\n"
 
 #: x509/output.c:801
 #, c-format
 msgid "%s\t\tKey Purpose (%s):\n"
-msgstr "%s\t\tUtilisation prévue de la clef (%s):\n"
+msgstr "%s\t\tUtilisation prévue de la clef (%s) :\n"
 
 #: x509/output.c:818
 #, c-format
 msgid "%s\t\tSubject Alternative Name (%s):\n"
-msgstr "%s\t\tAutre nom du sujet (%s):\n"
+msgstr "%s\t\tAutre nom du sujet (%s) :\n"
 
 #: x509/output.c:833
 #, c-format
 msgid "%s\t\tCRL Distribution points (%s):\n"
-msgstr "%s\t\tPoints de distribution des listes de révocation (%s):\n"
+msgstr "%s\t\tPoints de distribution des listes de révocation (%s) :\n"
 
 #: x509/output.c:851
 #, c-format
 msgid "%s\t\tProxy Certificate Information (%s):\n"
-msgstr "%s\t\tDétails du certificat du proxy (%s):\n"
+msgstr "%s\t\tDétails du certificat du proxy (%s) :\n"
 
 #: x509/output.c:864
 #, c-format
 msgid "%s\t\tUnknown extension %s (%s):\n"
-msgstr "%s\t\tExtension inconnue %s (%s):\n"
+msgstr "%s\t\tExtension inconnue %s (%s) :\n"
 
 #: x509/output.c:910
 #, c-format
 msgid "%s\t\t\tASCII: "
-msgstr "%s\t\t\tASCII: "
+msgstr "%s\t\t\tASCII : "
 
 #: x509/output.c:914
 #, c-format
 msgid "%s\t\t\tHexdump: "
-msgstr "%s\t\t\tCode hexadécimal: "
+msgstr "%s\t\t\tCode hexadécimal : "
 
 #: x509/output.c:932 x509/output.c:1417 x509/output.c:1730
 #: openpgp/output.c:323
 #, c-format
 msgid "\tVersion: %d\n"
-msgstr "\tVersion: %d\n"
+msgstr "\tVersion : %d\n"
 
 #: x509/output.c:946
 msgid "\tSerial Number (hex): "
-msgstr "\tNuméro de série (hexadécimal): "
+msgstr "\tNuméro de série (hexadécimal) : "
 
 #: x509/output.c:963 x509/output.c:1431
 #, c-format
 msgid "\tIssuer: %s\n"
-msgstr "\tEmetteur: %s\n"
+msgstr "\tEmetteur : %s\n"
 
 #: x509/output.c:970
 msgid "\tValidity:\n"
-msgstr "\tValidité:\n"
+msgstr "\tValidité :\n"
 
 #: x509/output.c:983
 #, c-format
 msgid "\t\tNot Before: %s\n"
-msgstr "\t\tPas avant: %s\n"
+msgstr "\t\tPas avant : %s\n"
 
 #: x509/output.c:997
 #, c-format
 msgid "\t\tNot After: %s\n"
-msgstr "\t\tPas après: %s\n"
+msgstr "\t\tPas après : %s\n"
 
 #: x509/output.c:1011 x509/output.c:1743
 #, c-format
 msgid "\tSubject: %s\n"
-msgstr "\tSujet: %s\n"
+msgstr "\tSujet : %s\n"
 
 #: x509/output.c:1026 x509/output.c:1113 x509/output.c:1256 x509/output.c:1648
 #: x509/output.c:1758 openpgp/output.c:237
@@ -806,39 +806,39 @@ msgstr "inconnu"
 #: x509/output.c:1028 x509/output.c:1760
 #, c-format
 msgid "\tSubject Public Key Algorithm: %s\n"
-msgstr "\tAlgorithme de clef publique du sujet: %s\n"
+msgstr "\tAlgorithme de clef publique du sujet : %s\n"
 
 #: x509/output.c:1042 x509/output.c:1773 openpgp/output.c:257
 #, c-format
 msgid "\t\tModulus (bits %d):\n"
-msgstr "\t\tModule (bits %d):\n"
+msgstr "\t\tModule (bits %d) :\n"
 
 #: x509/output.c:1044
 #, c-format
 msgid "\t\tExponent (bits %d):\n"
-msgstr "\t\tExposant (bits %d):\n"
+msgstr "\t\tExposant (bits %d) :\n"
 
 #: x509/output.c:1064 x509/output.c:1795 openpgp/output.c:284
 #, c-format
 msgid "\t\tPublic key (bits %d):\n"
-msgstr "\t\tClef publique (bits %d):\n"
+msgstr "\t\tClef publique (bits %d) :\n"
 
 #: x509/output.c:1066 x509/output.c:1797 openpgp/output.c:286
 msgid "\t\tP:\n"
-msgstr "\t\tP:\n"
+msgstr "\t\tP :\n"
 
 #: x509/output.c:1068 x509/output.c:1799 openpgp/output.c:288
 msgid "\t\tQ:\n"
-msgstr "\t\tQ:\n"
+msgstr "\t\tQ :\n"
 
 #: x509/output.c:1070 x509/output.c:1801 openpgp/output.c:290
 msgid "\t\tG:\n"
-msgstr "\t\tG:\n"
+msgstr "\t\tG :\n"
 
 #: x509/output.c:1114 x509/output.c:1649
 #, c-format
 msgid "\tSignature Algorithm: %s\n"
-msgstr "\tAlgorithme de signature: %s\n"
+msgstr "\tAlgorithme de signature : %s\n"
 
 #: x509/output.c:1118 x509/output.c:1653
 msgid "warning: signed using a broken signature algorithm that can be forged.\n"
@@ -846,7 +846,7 @@ msgstr "attention : sign
 
 #: x509/output.c:1144 x509/output.c:1679
 msgid "\tSignature:\n"
-msgstr "\tSignature:\n"
+msgstr "\tSignature :\n"
 
 #: x509/output.c:1167
 msgid ""
@@ -884,7 +884,7 @@ msgstr "sign
 
 #: x509/output.c:1373
 msgid "X.509 Certificate Information:\n"
-msgstr "Détail du certificat X509:\n"
+msgstr "Détail du certificat X509 :\n"
 
 #: x509/output.c:1377 x509/output.c:1993
 msgid "Other Information:\n"
@@ -892,53 +892,53 @@ msgstr "Autres informations :\n"
 
 #: x509/output.c:1413
 msgid "\tVersion: 1 (default)\n"
-msgstr "\tVersion: 1 (défaut)\n"
+msgstr "\tVersion : 1 (défaut)\n"
 
 #: x509/output.c:1438
 msgid "\tUpdate dates:\n"
-msgstr "\tDates de mise à jour:\n"
+msgstr "\tDates de mise à jour :\n"
 
 #: x509/output.c:1451
 #, c-format
 msgid "\t\tIssued: %s\n"
-msgstr "\t\tEmis: %s\n"
+msgstr "\t\tEmis : %s\n"
 
 #: x509/output.c:1467
 #, c-format
 msgid "\t\tNext at: %s\n"
-msgstr "\t\tProchainement: %s\n"
+msgstr "\t\tProchainement : %s\n"
 
 #: x509/output.c:1498
 msgid "\tExtensions:\n"
-msgstr "\tExtensions:\n"
+msgstr "\tExtensions :\n"
 
 #: x509/output.c:1513
 #, c-format
 msgid "\t\tCRL Number (%s): "
-msgstr "\t\tNuméro de liste de révoc. CRL (%s):"
+msgstr "\t\tNuméro de liste de révoc. CRL (%s) :"
 
 #: x509/output.c:1536
 #, c-format
 msgid "\t\tAuthority Key Identifier (%s):\n"
-msgstr "\t\tIdentifiant de la clef de l'autorité (%s):\n"
+msgstr "\t\tIdentifiant de la clef de l'autorité (%s) :\n"
 
 #: x509/output.c:1549
 #, c-format
 msgid "\t\tUnknown extension %s (%s):\n"
-msgstr "\t\tExtension inconnue %s (%s):\n"
+msgstr "\t\tExtension inconnue %s (%s) :\n"
 
 #: x509/output.c:1578 x509/output.c:1913
 msgid "\t\t\tASCII: "
-msgstr "\t\t\tASCII: "
+msgstr "\t\t\tASCII : "
 
 #: x509/output.c:1582 x509/output.c:1917
 msgid "\t\t\tHexdump: "
-msgstr "\t\t\tCode hexadécimal: "
+msgstr "\t\t\tCode hexadécimal : "
 
 #: x509/output.c:1598
 #, c-format
 msgid "\tRevoked certificates (%d):\n"
-msgstr "\tCertificats révoqués (%d):\n"
+msgstr "\tCertificats révoqués (%d) :\n"
 
 #: x509/output.c:1600
 msgid "\tNo revoked certificates.\n"
@@ -946,7 +946,7 @@ msgstr "\tCertificats non r
 
 #: x509/output.c:1619
 msgid "\t\tSerial Number (hex): "
-msgstr "\t\tNuméro de série (hexa): "
+msgstr "\t\tNuméro de série (hexa) : "
 
 #: x509/output.c:1628
 #, c-format
@@ -959,21 +959,21 @@ msgstr "D
 
 #: x509/output.c:1775 openpgp/output.c:259
 msgid "\t\tExponent:\n"
-msgstr "\t\tExposant:\n"
+msgstr "\t\tExposant :\n"
 
 #: x509/output.c:1842
 msgid "\tAttributes:\n"
-msgstr "\tAttributs:\n"
+msgstr "\tAttributs :\n"
 
 #: x509/output.c:1877
 #, c-format
 msgid "\t\tChallenge password: %s\n"
-msgstr "\t\tMot de passe \"challenge\": %s\n"
+msgstr "\t\tMot de passe \"challenge\" : %s\n"
 
 #: x509/output.c:1886
 #, c-format
 msgid "\t\tUnknown attribute %s:\n"
-msgstr "\t\tAttribut inconnu %s:\n"
+msgstr "\t\tAttribut inconnu %s :\n"
 
 #: x509/output.c:1989
 msgid "PKCS #10 Certificate Request Information:\n"
@@ -986,7 +986,7 @@ msgstr "\t\tUsages possibles de la clef :\n"
 #: openpgp/output.c:93
 #, c-format
 msgid "error: get_key_usage: %s\n"
-msgstr "Erreur: get_key_usage: %s\n"
+msgstr "Erreur: get_key_usage : %s\n"
 
 #: openpgp/output.c:98
 msgid "\t\t\tDigital signatures.\n"
@@ -1018,44 +1018,44 @@ msgstr "\tEmpreinte (hexa) : "
 
 #: openpgp/output.c:165
 msgid "\tRevoked: True\n"
-msgstr "\tRévoqué: oui\n"
+msgstr "\tRévoqué : oui\n"
 
 #: openpgp/output.c:167
 msgid "\tRevoked: False\n"
-msgstr "\tRévoqué: non\n"
+msgstr "\tRévoqué : non\n"
 
 #: openpgp/output.c:175
 msgid "\tTime stamps:\n"
-msgstr "\tHorodatage:\n"
+msgstr "\tHorodatage :\n"
 
 #: openpgp/output.c:192
 #, c-format
 msgid "\t\tCreation: %s\n"
-msgstr "\t\tCréation: %s\n"
+msgstr "\t\tCréation : %s\n"
 
 #: openpgp/output.c:206
 msgid "\t\tExpiration: Never\n"
-msgstr "\t\tExpiration: jamais\n"
+msgstr "\t\tExpiration : jamais\n"
 
 #: openpgp/output.c:215
 #, c-format
 msgid "\t\tExpiration: %s\n"
-msgstr "\t\tExpiration: %s\n"
+msgstr "\t\tExpiration : %s\n"
 
 #: openpgp/output.c:239
 #, c-format
 msgid "\tPublic Key Algorithm: %s\n"
-msgstr "\tAlgorithme de clef publique: %s\n"
+msgstr "\tAlgorithme de clef publique : %s\n"
 
 #: openpgp/output.c:346
 #, c-format
 msgid "\tName[%d]: %s\n"
-msgstr "\tNom[%d]: %s\n"
+msgstr "\tNom[%d] : %s\n"
 
 #: openpgp/output.c:349
 #, c-format
 msgid "\tRevoked Name[%d]: %s\n"
-msgstr "\tNom révoqué[%d]: %s\n"
+msgstr "\tNom révoqué[%d] : %s\n"
 
 #: openpgp/output.c:366
 #, c-format
@@ -1064,26 +1064,26 @@ msgid ""
 "\tSubkey[%d]:\n"
 msgstr ""
 "\n"
-"\tSous-clef[%d]:\n"
+"\tSous-clef[%d] :\n"
 
 #: openpgp/output.c:399
 #, c-format
 msgid "name[%d]: %s, "
-msgstr "nom[%d]: %s, "
+msgstr "nom[%d] : %s, "
 
 #: openpgp/output.c:401
 #, c-format
 msgid "revoked name[%d]: %s, "
-msgstr "nom révoqué[%d]: %s, "
+msgstr "nom révoqué[%d] : %s, "
 
 #: openpgp/output.c:415
 msgid "fingerprint: "
-msgstr "empreinte: "
+msgstr "empreinte : "
 
 #: openpgp/output.c:435
 #, c-format
 msgid "created: %s, "
-msgstr "créé: %s, "
+msgstr "créé : %s, "
 
 #: openpgp/output.c:445
 msgid "never expires, "
@@ -1092,7 +1092,7 @@ msgstr "n'expire jamais, "
 #: openpgp/output.c:453
 #, c-format
 msgid "expires: %s, "
-msgstr "expire: %s, "
+msgstr "expire : %s, "
 
 #: openpgp/output.c:465
 #, c-format