diff --git a/philosophy/free-software-even-more-important.pt-br.po b/philosophy/free-software-even-more-important.pt-br.po
index 733cb8c..5260862 100644
--- a/philosophy/free-software-even-more-important.pt-br.po
+++ b/philosophy/free-software-even-more-important.pt-br.po
@@ -1,18 +1,21 @@
 # Brazilian Portuguese translation of http://www.gnu.org/philosophy/free-software-even-more-important.html
-# Copyright (C) 2015 Free Software Foundation, Inc.
+# Copyright (C) 2017 Free Software Foundation, Inc.
 # This file is distributed under the same license as the original article.
 # Bruno Félix Rezende Ribeiro <oitofelix@gnu.org>, 2015.
+# Rafael Fontenelle <rafaelff@gnome.org>, 2017.
 msgid ""
 msgstr ""
 "Project-Id-Version: free-software-even-more-important.html\n"
 "POT-Creation-Date: 2017-01-07 22:25+0000\n"
-"PO-Revision-Date: 2015-09-11 21:25-0300\n"
-"Last-Translator: Bruno Félix Rezende Ribeiro <oitofelix@gnu.org>\n"
+"PO-Revision-Date: 2017-01-28 20:27-0200\n"
+"Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
 
 #. type: Content of: <title>
 msgid ""
@@ -74,27 +77,13 @@ msgid ""
 msgstr ""
 "Às vezes nós também o chamamos de “software libre” (do inglês, “libre "
 "software”) para enfatizar que estamos falando de liberdade, não de "
-"preço<sup><a href=\"#TransNote1\">1</a></sup>.  Alguns programas privativos "
-"(não-livres), tais como o Photoshop, são muito caros; outros, como o Flash "
-"Player, estão disponíveis gratuitamente — mas isso é um pequeno detalhe.  De "
-"qualquer maneira, eles dão ao desenvolvedor do programa poder sobre os "
-"usuários, poder que ninguém deveria ter."
-
-#. type: Content of: <p>
-# | Those two nonfree programs have something else in common: they are both
-# | <em>malware</em>.  That is, both have functionalities designed to mistreat
-# | the user.  Proprietary software nowadays is often malware because <a
-# | href=\"/proprietary/proprietary.html\">the developers' power corrupts
-# | them</a>.  {+That directory lists around 260 different malicious
-# | functionalities (as of Jan 2017), but it is surely just the tip of the
-# | iceberg.+}
-#, fuzzy
-#| msgid ""
-#| "Those two nonfree programs have something else in common: they are both "
-#| "<em>malware</em>.  That is, both have functionalities designed to "
-#| "mistreat the user.  Proprietary software nowadays is often malware "
-#| "because <a href=\"/proprietary/proprietary.html\">the developers' power "
-#| "corrupts them</a>."
+"preço<sup><a href=\"#TransNote1\">1</a></sup>.  Alguns programas "
+"proprietários (não-livres), tais como o Photoshop, são muito caros; outros, "
+"como o Flash Player, estão disponíveis gratuitamente — mas isso é um pequeno "
+"detalhe.  De qualquer maneira, eles dão ao desenvolvedor do programa poder "
+"sobre os usuários, poder que ninguém deveria ter."
+
+#. type: Content of: <p>
 msgid ""
 "Those two nonfree programs have something else in common: they are both "
 "<em>malware</em>.  That is, both have functionalities designed to mistreat "
@@ -105,9 +94,11 @@ msgid ""
 msgstr ""
 "Esses dois programas não-livres têm algo mais em comum: ambos são "
 "<em>malwares</em>.  Ou seja, ambos têm funcionalidades concebidas para "
-"maltratar o usuário.  O software privativo hoje em dia é muitas vezes "
+"maltratar o usuário.  O software proprietário hoje em dia é muitas vezes "
 "malware porque <a href=\"/proprietary/proprietary.html\">o poder dos "
-"desenvolvedores os corrompem</a>."
+"desenvolvedores os corrompem</a>. Este diretório lista cerca de 260 "
+"funcionalidades maliciosas diferentes (até janeiro de 2017), mas com certeza "
+"é apenas a ponta do iceberg."
 
 #. type: Content of: <p>
 msgid ""
@@ -130,10 +121,10 @@ msgid ""
 "unjust in itself, and tempts the developer to mistreat the users in other "
 "ways."
 msgstr ""
-"Com o software privativo, o programa controla os usuários e alguma outra "
+"Com o software proprietário, o programa controla os usuários e alguma outra "
 "entidade (o desenvolvedor ou “proprietário”) controla o programa.  Assim, o "
-"programa privativo dá ao seu desenvolvedor poder sobre seus usuários.  Isso "
-"é injusto em si mesmo, e o desenvolvedor se vê tentado a maltratar os "
+"programa proprietário dá ao seu desenvolvedor poder sobre seus usuários.  "
+"Isso é injusto em si mesmo, e o desenvolvedor se vê tentado a maltratar os "
 "usuários de outras maneiras."
 
 #. type: Content of: <p>
@@ -147,6 +138,14 @@ msgid ""
 "you want this not to happen, make sure the program is controlled by its "
 "users."
 msgstr ""
+"Mesmo quando software proprietário não é diretamente malicioso, seus "
+"desenvolvedores possuem um incentivo para torná-lo <a href=\"https://"
+"getpocket.com/explore/item/how-technology-hijacks-people-s-minds-from-a-"
+"magician-and-google-s-design-ethicist-1300144185\">viciante, controlador e "
+"manipulativo</a>. Você pode dizer, assim como o autor daquele artigo, que os "
+"desenvolvedores possuem uma obrigação ética de não fazer isso, mas "
+"geralmente eles seguem seus interesses. Se você deseja que isso não "
+"aconteça, certifique-se de que o programa é controlado pelo seus usuários."
 
 #. type: Content of: <p>
 msgid ""
@@ -236,7 +235,7 @@ msgstr ""
 "qualquer grupo de usuários pode exercer em conjunto <em>controle coletivo</"
 "em> sobre o programa.  Com todas as quatro liberdades, os usuários controlam "
 "totalmente o programa.  Se alguma delas estiver ausente ou for insuficiente, "
-"o programa é privativo (não-livre), e injusto."
+"o programa é proprietário (não-livre), e injusto."
 
 #. type: Content of: <p>
 msgid ""
@@ -269,8 +268,8 @@ msgid ""
 msgstr ""
 "Um programa livre permite que você o modifique para que ele faça o que você "
 "quer (ou deixe de fazer algo que você não gosta).  Modificar software pode "
-"parecer ridículo, se você está acostumado com o software privativo — que é "
-"uma caixa selada, mas no Mundo Livre é uma coisa comum de se fazer, e uma "
+"parecer ridículo, se você está acostumado com o software proprietário — que "
+"é uma caixa selada, mas no Mundo Livre é uma coisa comum de se fazer, e uma "
 "boa maneira de aprender programação.  Até mesmo o passatempo americano "
 "tradicional de modificar carros é obstruído porque agora os carros contêm "
 "software não-livre."
@@ -288,7 +287,7 @@ msgid ""
 "instrument of unjust power."
 msgstr ""
 "Se os usuários não controlam o programa, o programa controla os usuários.  "
-"Com o software privativo, há sempre alguma entidade, o desenvolvedor ou "
+"Com o software proprietário, há sempre alguma entidade, o desenvolvedor ou "
 "“proprietário” do programa, que controla o programa — e através dele, exerce "
 "poder sobre seus usuários.  Um programa não livre é um jugo, um instrumento "
 "de poder injusto."
@@ -305,8 +304,8 @@ msgid ""
 "Kindle has a back door that can erase books."
 msgstr ""
 "Em casos revoltantes (embora este ultraje tornou-se bastante usual) <a href="
-"\"/proprietary/proprietary.html\">programas privativos são projetados para "
-"espionar os usuários, restringi-los, censurá-los, e abusá-los</a>.  Por "
+"\"/proprietary/proprietary.html\">programas proprietários são projetados "
+"para espionar os usuários, restringi-los, censurá-los, e abusá-los</a>.  Por "
 "exemplo, o sistema operacional das iCoisas da Apple faz tudo isso, e assim o "
 "faz o Windows em dispositivos móveis com chips ARM.  Windows, o firmware de "
 "telefones móveis, e o Google Chrome para Windows incluem uma porta-dos-"
@@ -419,7 +418,7 @@ msgid ""
 "share.  It is evil to keep such a promise, and a lesser evil to break it; to "
 "be truly upright, you should not make the promise at all."
 msgstr ""
-"Quando você usa programas privativos ou SaaSS, antes de tudo você erra "
+"Quando você usa programas proprietários ou SaaSS, antes de tudo você erra "
 "consigo mesmo, porque isso dá a alguma entidade poder injusto sobre você.  "
 "Para seu próprio bem, você deve escapar.  Isso também fará mal aos outros, "
 "se você fizer uma promessa de que não irá compartilhar.  É mal manter essa "
@@ -491,8 +490,8 @@ msgid ""
 "run by an entity other than the state, since this would be SaaSS."
 msgstr ""
 "Para manter o controle da informática das pessoas, órgãos públicos não devem "
-"fazê-la com software privativo (software sob o controle de uma entidade que "
-"não o Estado).  E eles não devem confiá-la a um serviço programado e "
+"fazê-la com software proprietário (software sob o controle de uma entidade "
+"que não o Estado).  E eles não devem confiá-la a um serviço programado e "
 "executado por uma entidade que não o Estado, uma vez que isto seria SaaSS."
 
 #. type: Content of: <p>
@@ -509,11 +508,11 @@ msgid ""
 "software.html\">suggested policies for governments to promote free software</"
 "a>."
 msgstr ""
-"O software privativo não tem segurança nenhuma em um caso crucial — contra "
-"seu desenvolvedor.  E o desenvolvedor pode ajudar outros a atacarem.  <a "
-"href=\"http://arstechnica.com/security/2013/06/nsa-gets-early-access-to-zero-"
-"day-data-from-microsoft-others/\">Microsoft mostra erros do Windows para a "
-"NSA</a> (A agência de espionagem digital do governo dos EUA) antes de "
+"O software proprietário não tem segurança nenhuma em um caso crucial — "
+"contra seu desenvolvedor.  E o desenvolvedor pode ajudar outros a atacarem.  "
+"<a href=\"http://arstechnica.com/security/2013/06/nsa-gets-early-access-to-"
+"zero-day-data-from-microsoft-others/\">Microsoft mostra erros do Windows "
+"para a NSA</a> (A agência de espionagem digital do governo dos EUA) antes de "
 "corrigi-los.  Nós não sabemos se a Apple faz o mesmo, mas está sob a mesma "
 "pressão do governo que a Microsoft.  Se o governo de qualquer outro país usa "
 "esse software, isso põe em perigo a segurança nacional.  Você quer que a NSA "
@@ -538,7 +537,7 @@ msgstr ""
 "Escolas (e isso inclui todas as atividades educacionais) influenciam o "
 "futuro da sociedade através do que elas ensinam.  Elas devem ensinar "
 "exclusivamente software livre, de modo a utilizar a sua influência para o "
-"bem.  Ensinar um programa privativo é implantar dependência, o que vai "
+"bem.  Ensinar um programa proprietário é implantar dependência, o que vai "
 "contra a missão da educação.  Através do treinamento no uso de software "
 "livre, escolas irão direcionar o futuro da sociedade para a liberdade, e "
 "ajudar os programadores talentosos a dominar este ofício."
@@ -559,8 +558,8 @@ msgstr ""
 "para a sala de aula, você não deve mantê-lo pra si mesmo.  Em vez disso, "
 "você deve compartilhar cópias com o resto da classe — incluindo o código "
 "fonte do programa, no caso que alguém queira aprender.  Portanto, trazer "
-"software privativo para a sala de aula não é permitido, exceto para praticar "
-"engenharia reversa”."
+"software proprietário para a sala de aula não é permitido, exceto para "
+"praticar engenharia reversa”."
 
 #. type: Content of: <p>
 msgid ""
@@ -570,11 +569,12 @@ msgid ""
 "org/education/</a> for more discussion of the use of free software in "
 "schools."
 msgstr ""
-"Desenvolvedores privativos gostariam que nós puníssemos os estudantes bons o "
-"suficiente de coração para compartilhar software e frustrássemos aqueles "
-"curiosos o suficiente para querer mudá-lo.  Isto significa uma educação "
-"ruim.  Consulte <a href=\"/education/\">http://www.gnu.org/education/</a> "
-"para mais discussões sobre o uso de software livre nas escolas."
+"Desenvolvedores proprietários gostariam que nós puníssemos os estudantes "
+"bons o suficiente de coração para compartilhar software e frustrássemos "
+"aqueles curiosos o suficiente para querer mudá-lo.  Isto significa uma "
+"educação ruim.  Consulte <a href=\"/education/\">http://www.gnu.org/"
+"education/</a> para mais discussões sobre o uso de software livre nas "
+"escolas."
 
 #. type: Content of: <h3>
 msgid "Free Software: More Than &ldquo;Advantages&rdquo;"
@@ -632,7 +632,7 @@ msgstr ""
 "Na informática, a cooperação inclui redistribuir cópias exatas de um "
 "programa a outros usuários.  Ela também inclui a distribuição de suas "
 "versões alteradas a eles.  Software livre incentiva estas formas de "
-"cooperação, enquanto o software privativo as proíbe.  Ele proíbe a "
+"cooperação, enquanto o software proprietário as proíbe.  Ele proíbe a "
 "redistribuição de cópias, e por negar aos usuários o código-fonte, ele os "
 "impede de fazer alterações.  SaaSS tem os mesmos efeitos: se a sua "
 "informática é feita através da web no servidor de outra pessoa, pela cópia "
@@ -726,11 +726,8 @@ msgstr ""
 "envio de traduções das páginas desse site."
 
 #. type: Content of: <div><p>
-# | Copyright &copy; [-2015-] {+2015, 2017+} Richard Stallman
-#, fuzzy
-#| msgid "Copyright &copy; 2015 Richard Stallman"
 msgid "Copyright &copy; 2015, 2017 Richard Stallman"
-msgstr "Copyright &copy; 2015 Richard Stallman"
+msgstr "Copyright &copy; 2015, 2017 Richard Stallman"
 
 #. type: Content of: <div><p>
 msgid ""