diff --git a/philosophy/free-software-even-more-important.pt-br.po b/philosophy/free-software-even-more-important.pt-br.po
index 595954c..8bb2073 100644
--- a/philosophy/free-software-even-more-important.pt-br.po
+++ b/philosophy/free-software-even-more-important.pt-br.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: free-software-even-more-important.html\n"
 "POT-Creation-Date: 2017-08-27 15:56+0000\n"
-"PO-Revision-Date: 2017-05-20 16:20-0300\n"
+"PO-Revision-Date: 2017-09-28 06:51-0300\n"
 "Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
@@ -16,6 +16,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 "X-Generator: Virtaal 1.0.0-beta1\n"
+"X-Outdated-Since: 2017-07-07 12:55+0000\n"
 
 #. type: Content of: <title>
 msgid ""
@@ -48,18 +49,12 @@ msgstr ""
 "now-than-ever-before\">Wired</a>."
 
 #. type: Content of: <blockquote><p>
-# | <a [-href=\"/help\">Suggested-] {+href=\"/help/help.html\">Suggested+}
-# | ways you can help the free software movement</a>.
-#, fuzzy
-#| msgid ""
-#| "<a href=\"/help\">Suggested ways you can help the free software movement</"
-#| "a>."
 msgid ""
 "<a href=\"/help/help.html\">Suggested ways you can help the free software "
 "movement</a>."
 msgstr ""
-"<a href=\"/help\">Maneiras sugeridas para você ajudar o movimento do "
-"software livre</a>."
+"<a href=\"/help/help.html\">Maneiras sugeridas para você ajudar o movimento "
+"do software livre</a>."
 
 #. type: Content of: <p>
 msgid ""
@@ -135,24 +130,6 @@ msgstr ""
 "usuários de outras maneiras."
 
 #. type: Content of: <p>
-# | Even when proprietary software isn't downright malicious, its developers
-# | have an incentive to make it <a
-# | [-href=\"https://getpocket.com/explore/item/how-technology-hijacks-people-s-minds-from-a-magician-and-google-s-design-ethicist-1300144185\">addictive,-]
-# | {+href=\"https://observer.com/2016/06/how-technology-hijacks-peoples-minds%E2%80%8A-%E2%80%8Afrom-a-magician-and-googles-design-ethicist/\">
-# | addictive,+} controlling and manipulative</a>.  You can say, as does the
-# | author of that article, that the developers have an ethical obligation not
-# | to do that, but generally they follow their interests.  If you want this
-# | not to happen, make sure the program is controlled by its users.
-#, fuzzy
-#| msgid ""
-#| "Even when proprietary software isn't downright malicious, its developers "
-#| "have an incentive to make it <a href=\"https://getpocket.com/explore/item/"
-#| "how-technology-hijacks-people-s-minds-from-a-magician-and-google-s-design-"
-#| "ethicist-1300144185\">addictive, controlling and manipulative</a>.  You "
-#| "can say, as does the author of that article, that the developers have an "
-#| "ethical obligation not to do that, but generally they follow their "
-#| "interests.  If you want this not to happen, make sure the program is "
-#| "controlled by its users."
 msgid ""
 "Even when proprietary software isn't downright malicious, its developers "
 "have an incentive to make it <a href=\"https://observer.com/2016/06/how-"
@@ -165,12 +142,13 @@ msgid ""
 msgstr ""
 "Mesmo quando software proprietário não é diretamente malicioso, seus "
 "desenvolvedores possuem um incentivo para torná-lo <a href=\"https://"
-"getpocket.com/explore/item/how-technology-hijacks-people-s-minds-from-a-"
-"magician-and-google-s-design-ethicist-1300144185\">viciante, controlador e "
-"manipulativo</a>. Você pode dizer, assim como o autor daquele artigo, que os "
-"desenvolvedores possuem uma obrigação ética de não fazer isso, mas "
-"geralmente eles seguem seus interesses. Se você deseja que isso não "
-"aconteça, certifique-se de que o programa é controlado pelo seus usuários."
+"observer.com/2016/06/how-technology-hijacks-peoples-minds%E2%80%8A-"
+"%E2%80%8Afrom-a-magician-and-googles-design-ethicist/\"> viciante, "
+"controlador e manipulativo</a>. Você pode dizer, assim como o autor daquele "
+"artigo, que os desenvolvedores possuem uma obrigação ética de não fazer "
+"isso, mas geralmente eles seguem seus interesses. Se você deseja que isso "
+"não aconteça, certifique-se de que o programa é controlado pelo seus "
+"usuários."
 
 #. type: Content of: <p>
 msgid ""
@@ -669,21 +647,6 @@ msgid "Conclusion"
 msgstr "Conclusão"
 
 #. type: Content of: <p>
-# | We deserve to have control of our own computing; how can we win this
-# | control? By rejecting nonfree software on the computers we own or
-# | regularly use, and rejecting SaaSS.  By <a
-# | href=\"/licenses/license-recommendations.html\"> developing free
-# | software</a> (for those of us who are programmers.) By refusing to develop
-# | or promote nonfree software or SaaSS.  By <a [-href=\"/help\">spreading-]
-# | {+href=\"/help/help.html\">spreading+} these ideas to others</a>.
-#, fuzzy
-#| msgid ""
-#| "We deserve to have control of our own computing; how can we win this "
-#| "control? By rejecting nonfree software on the computers we own or "
-#| "regularly use, and rejecting SaaSS.  By <a href=\"/licenses/license-"
-#| "recommendations.html\"> developing free software</a> (for those of us who "
-#| "are programmers.) By refusing to develop or promote nonfree software or "
-#| "SaaSS.  By <a href=\"/help\">spreading these ideas to others</a>."
 msgid ""
 "We deserve to have control of our own computing; how can we win this "
 "control? By rejecting nonfree software on the computers we own or regularly "
@@ -697,8 +660,8 @@ msgstr ""
 "possuímos ou utilizamos regularmente, e rejeitando SaaSS.  <a href=\"/"
 "licenses/license-recommendations.html\">Desenvolvendo software livre</a> "
 "(para aqueles de nós que são programadores).  Recusando-se a desenvolver ou "
-"promover software não livre ou SaaSS. <a href=\"/help\">Espalhando estas "
-"ideias aos outros</a>."
+"promover software não livre ou SaaSS. <a href=\"/help/help.html\">Espalhando "
+"estas ideias aos outros</a>."
 
 #. type: Content of: <p>
 msgid ""