diff --git a/philosophy/free-software-even-more-important.pt-br.po b/philosophy/free-software-even-more-important.pt-br.po
index 1a3b83a..88ef455 100644
--- a/philosophy/free-software-even-more-important.pt-br.po
+++ b/philosophy/free-software-even-more-important.pt-br.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: free-software-even-more-important.html\n"
 "POT-Creation-Date: 2017-11-07 13:56+0000\n"
-"PO-Revision-Date: 2017-10-21 14:32-0200\n"
+"PO-Revision-Date: 2017-11-18 18:45-0200\n"
 "Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
@@ -16,6 +16,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 "X-Generator: Virtaal 1.0.0-beta1\n"
+"X-Outdated-Since: 2017-11-07 13:56+0000\n"
 
 #. type: Content of: <title>
 msgid ""
@@ -85,22 +86,6 @@ msgstr ""
 "sobre os usuários, poder que ninguém deveria ter."
 
 #. type: Content of: <p>
-# | Those two nonfree programs have something else in common: they are both
-# | <em>malware</em>.  That is, both have functionalities designed to mistreat
-# | the user.  Proprietary software nowadays is often malware because <a
-# | [-href=\"/proprietary/proprietary.html\">the-] {+href=\"/malware/\">the+}
-# | developers' power corrupts them</a>.  That directory lists around 300
-# | different malicious functionalities (as of Apr 2017), but it is surely
-# | just the tip of the iceberg.
-#, fuzzy
-#| msgid ""
-#| "Those two nonfree programs have something else in common: they are both "
-#| "<em>malware</em>.  That is, both have functionalities designed to "
-#| "mistreat the user.  Proprietary software nowadays is often malware "
-#| "because <a href=\"/proprietary/proprietary.html\">the developers' power "
-#| "corrupts them</a>.  That directory lists around 300 different malicious "
-#| "functionalities (as of Apr 2017), but it is surely just the tip of the "
-#| "iceberg."
 msgid ""
 "Those two nonfree programs have something else in common: they are both "
 "<em>malware</em>.  That is, both have functionalities designed to mistreat "
@@ -110,12 +95,11 @@ msgid ""
 "surely just the tip of the iceberg."
 msgstr ""
 "Esses dois programas não livres têm algo mais em comum: ambos são "
-"<em>malwares</em>.  Ou seja, ambos têm funcionalidades concebidas para "
+"<em>malwares</em>. Ou seja, ambos têm funcionalidades concebidas para "
 "maltratar o usuário.  O software proprietário hoje em dia é muitas vezes "
-"malware porque <a href=\"/proprietary/proprietary.html\">o poder dos "
-"desenvolvedores os corrompem</a>. Este diretório lista cerca de 300 "
-"funcionalidades maliciosas diferentes (até abril de 2017), mas com certeza é "
-"apenas a ponta do iceberg."
+"malware porque <a href=\"/malware/\">o poder dos desenvolvedores os "
+"corrompem</a>. Este diretório lista cerca de 300 funcionalidades maliciosas "
+"diferentes (até abril de 2017), mas com certeza é apenas a ponta do iceberg."
 
 #. type: Content of: <p>
 msgid ""
@@ -131,18 +115,6 @@ msgstr ""
 "fazer)."
 
 #. type: Content of: <p>
-# | With proprietary software, the program controls the users, and some other
-# | entity (the developer or &ldquo;owner&rdquo;) controls the program.  So
-# | the proprietary program gives its developer power over its users.  That is
-# | unjust in [-itself, and-] {+itself; moreover, it+} tempts the developer to
-# | mistreat the users in other ways.
-#, fuzzy
-#| msgid ""
-#| "With proprietary software, the program controls the users, and some other "
-#| "entity (the developer or &ldquo;owner&rdquo;) controls the program.  So "
-#| "the proprietary program gives its developer power over its users.  That "
-#| "is unjust in itself, and tempts the developer to mistreat the users in "
-#| "other ways."
 msgid ""
 "With proprietary software, the program controls the users, and some other "
 "entity (the developer or &ldquo;owner&rdquo;) controls the program.  So the "
@@ -153,8 +125,8 @@ msgstr ""
 "Com o software proprietário, o programa controla os usuários e alguma outra "
 "entidade (o desenvolvedor ou “proprietário”) controla o programa.  Assim, o "
 "programa proprietário dá ao seu desenvolvedor poder sobre seus usuários.  "
-"Isso é injusto em si mesmo, e o desenvolvedor se vê tentado a maltratar os "
-"usuários de outras maneiras."
+"Isso é injusto por si só; além disso, isso instiga o desenvolvedor a "
+"maltratar os usuários de outras maneiras."
 
 #. type: Content of: <p>
 msgid ""