diff --git a/philosophy/free-sw.pt-br.po b/philosophy/free-sw.pt-br.po
index aec11eb..64ad664 100644
--- a/philosophy/free-sw.pt-br.po
+++ b/philosophy/free-sw.pt-br.po
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: free-sw.html\n"
 "POT-Creation-Date: 2016-11-16 21:55+0000\n"
-"PO-Revision-Date: 2016-10-10 09:08-0300\n"
+"PO-Revision-Date: 2016-11-29 22:39-0200\n"
 "Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
@@ -18,7 +18,8 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: Virtaal 0.7.1\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
+"X-Outdated-Since: 2016-11-16 21:55+0000\n"
 "X-Poedit-Language: Brazilian Portuguese\n"
 "X-Poedit-Country: Brazil\n"
 
@@ -108,7 +109,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "The four essential freedoms"
-msgstr ""
+msgstr "As quatro liberdades essenciais"
 
 #. type: Content of: <p>
 msgid ""
@@ -214,15 +215,10 @@ msgstr ""
 "específicas adequadas ou não."
 
 #. type: Content of: <h4>
-# | The freedom to run the program as you [-wish, for any purpose (freedom
-# | 0).-] {+wish+}
-#, fuzzy
 #| msgid ""
 #| "The freedom to run the program as you wish, for any purpose (freedom 0)."
 msgid "The freedom to run the program as you wish"
-msgstr ""
-"A liberdade de executar o programa como você desejar, para qualquer "
-"propósito (liberdade 0)."
+msgstr "A liberdade de executar o programa como você desejar"
 
 #. type: Content of: <p>
 msgid ""
@@ -258,7 +254,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "The freedom to study the source code and make changes"
-msgstr ""
+msgstr "A liberdade de estudar o código-fonte e fazer alterações"
 
 #. type: Content of: <p>
 msgid ""
@@ -320,16 +316,11 @@ msgstr ""
 "o programa não é livre."
 
 #. type: Content of: <h4>
-# | The freedom to redistribute [-copies so-] {+if+} you [-can help your
-# | neighbor (freedom 2).-] {+wish: basic requirements+}
-#, fuzzy
 #| msgid ""
 #| "The freedom to redistribute copies so you can help your neighbor (freedom "
 #| "2)."
 msgid "The freedom to redistribute if you wish: basic requirements"
-msgstr ""
-"A liberdade de redistribuir cópias de modo que você possa ajudar ao próximo "
-"(liberdade 2)."
+msgstr "A liberdade de redistribuir se assim desejar: requisitos básicos"
 
 #. type: Content of: <p>
 msgid ""
@@ -392,17 +383,9 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Copyleft"
-msgstr ""
+msgstr "Copyleft"
 
 #. type: Content of: <p>
-# | [-However, certain-]{+Certain+} kinds of rules about the manner of
-# | distributing free software are acceptable, when they don't conflict with
-# | the central freedoms.  For example, <a
-# | href=\"/copyleft/copyleft.html\">copyleft</a> (very simply stated) is the
-# | rule that when redistributing the program, you cannot add restrictions to
-# | deny other people the central freedoms.  This rule does not conflict with
-# | the central freedoms; rather it protects them.
-#, fuzzy
 #| msgid ""
 #| "However, certain kinds of rules about the manner of distributing free "
 #| "software are acceptable, when they don't conflict with the central "
@@ -419,13 +402,13 @@ msgid ""
 "restrictions to deny other people the central freedoms.  This rule does not "
 "conflict with the central freedoms; rather it protects them."
 msgstr ""
-"Todavia, certas regras sobre a maneira de distribuir o software são "
-"aceitáveis, quando elas não entram em conflito com as liberdades centrais. "
-"Por exemplo, o <a href=\"/copyleft/copyleft.html\">copyleft</a> (apresentado "
-"de maneira muito simples) é a regra de que, quando redistribuindo um "
-"programa, você não pode adicionar restrições quem neguem as liberdades "
-"centrais de outras pessoas. Essa regra não entra em conflito com as "
-"liberdade centrais; na verdade, ela as protege."
+"Certas regras sobre a maneira de distribuir o software são aceitáveis, "
+"quando elas não entram em conflito com as liberdades centrais. Por exemplo, "
+"o <a href=\"/copyleft/copyleft.html\">copyleft</a> (apresentado de maneira "
+"muito simples) é a regra de que, quando redistribuindo um programa, você não "
+"pode adicionar restrições quem neguem as liberdades centrais de outras "
+"pessoas. Essa regra não entra em conflito com as liberdade centrais; na "
+"verdade, ela as protege."
 
 #. type: Content of: <p>
 msgid ""
@@ -449,19 +432,9 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Rules about packaging and distribution details"
-msgstr ""
+msgstr "Regras sobre detalhes de empacotamento e distribuição"
 
 #. type: Content of: <p>
-# | [-However, rules-]{+Rules+} about how to package a modified version are
-# | acceptable, if they don't substantively limit your freedom to release
-# | modified versions, or your freedom to make and use modified versions
-# | privately.  Thus, it is acceptable for the license to require that you
-# | change the name of the modified version, remove a logo, or identify your
-# | modifications as yours.  As long as these requirements are not so
-# | burdensome that they effectively hamper you from releasing your changes,
-# | they are acceptable; you're already making other changes to the program,
-# | so you won't have trouble making a few more.
-#, fuzzy
 #| msgid ""
 #| "However, rules about how to package a modified version are acceptable, if "
 #| "they don't substantively limit your freedom to release modified versions, "
@@ -482,15 +455,15 @@ msgid ""
 "releasing your changes, they are acceptable; you're already making other "
 "changes to the program, so you won't have trouble making a few more."
 msgstr ""
-"No entanto, regras sobre como empacotar uma versão modificada são "
-"aceitáveis, se elas não limitam substantivamente sua liberdade de liberar "
-"versões modificadas, ou sua liberdade de criar e usar modificações "
-"privadamente. Portanto, é aceitável que uma licença requira que você mude o "
-"nome do programa na versão modificada, remova um logo ou identifique suas "
-"modificações como suas. Desde que esses requerimentos não sejam tão penosos "
-"que eles efetivamente sejam um empecilho à distribuição de suas mudanças, "
-"eles são aceitáveis; você já está fazendo outras modificações ao programa, "
-"não terá muitos problemas em fazer algumas a mais."
+"Regras sobre como empacotar uma versão modificada são aceitáveis, se elas "
+"não limitam substantivamente sua liberdade de liberar versões modificadas, "
+"ou sua liberdade de criar e usar modificações privadamente. Portanto, é "
+"aceitável que uma licença requira que você mude o nome do programa na versão "
+"modificada, remova um logo ou identifique suas modificações como suas. Desde "
+"que esses requerimentos não sejam tão penosos que eles efetivamente sejam um "
+"empecilho à distribuição de suas mudanças, eles são aceitáveis; você já está "
+"fazendo outras modificações ao programa, não terá muitos problemas em fazer "
+"algumas a mais."
 
 #. type: Content of: <p>
 msgid ""
@@ -530,7 +503,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Export regulations"
-msgstr ""
+msgstr "Regulamentações de exportação"
 
 #. type: Content of: <p>
 msgid ""
@@ -574,7 +547,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Legal considerations"
-msgstr ""
+msgstr "Considerações legais"
 
 #. type: Content of: <p>
 msgid ""
@@ -614,7 +587,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Contract-based licenses"
-msgstr ""
+msgstr "Licenças baseadas em contratos"
 
 #. type: Content of: <p>
 msgid ""
@@ -652,7 +625,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Use the right words when talking about free software"
-msgstr ""
+msgstr "Use as palavras corretas ao falar sobre software livre"
 
 #. type: Content of: <p>
 msgid ""
@@ -676,7 +649,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "How we interpret these criteria"
-msgstr ""
+msgstr "Como nós interpretamos esses critérios"
 
 #. type: Content of: <p>
 msgid ""
@@ -707,7 +680,7 @@ msgstr ""
 
 #. type: Content of: <h4>
 msgid "Get help with free licenses"
-msgstr ""
+msgstr "Consiga ajuda com licenças livres"
 
 #. type: Content of: <p>
 msgid ""