Index: index.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/index.php,v
retrieving revision 1.1.1.1.2.1
diff -u -r1.1.1.1.2.1 index.php
--- index.php	27 Feb 2004 03:35:02 -0000	1.1.1.1.2.1
+++ index.php	16 Mar 2004 08:59:00 -0000
@@ -211,7 +211,7 @@
 		$login = $GLOBALS['phpgw']->db->db_addslashes($row['account_lid']);
 		$users_opt = 2|4|16|32|64|128|256|512|2048|4096|8192|16384|131072|4194304;
 		if ($row['account_status'] != 'A') {
-			$user_opts |= 2097152;
+			$users_opt |= 2097152;
 		}
 		$GLOBALS['phpgw']->db->query("INSERT INTO phpgw_fud_users (last_visit, join_date, theme, alias, login, email, passwd, name, users_opt, phpgw_id) VALUES(".time().", ".time().", {$theme}, '{$alias}', '{$login}', '{$email}', '{$row['account_pwd']}', '{$name}', {$users_opt}, {$phpgw_id})");
 	}
Index: inc/class.ufud.inc.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/inc/class.ufud.inc.php,v
retrieving revision 1.1.1.1.2.2
diff -u -r1.1.1.1.2.2 class.ufud.inc.php
--- inc/class.ufud.inc.php	9 Mar 2004 14:32:45 -0000	1.1.1.1.2.2
+++ inc/class.ufud.inc.php	16 Mar 2004 08:59:00 -0000
@@ -42,7 +42,7 @@
 				$login = addslashes($row['account_lid']);
 				$users_opt = 2|4|16|32|64|128|256|512|2048|4096|8192|16384|131072|4194304;
 				if ($row['account_status'] != 'A') {
-					$user_opts |= 2097152;
+					$users_opt |= 2097152;
 				}
 			}
 			else

Index: setup/index.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/index.php,v
retrieving revision 1.1.1.1.2.1
diff -u -r1.1.1.1.2.1 index.php
--- setup/index.php	27 Feb 2004 03:35:02 -0000	1.1.1.1.2.1
+++ setup/index.php	16 Mar 2004 08:59:00 -0000
@@ -211,7 +211,7 @@
 		$login = $GLOBALS['phpgw']->db->db_addslashes($row['account_lid']);
 		$users_opt = 2|4|16|32|64|128|256|512|2048|4096|8192|16384|131072|4194304;
 		if ($row['account_status'] != 'A') {
-			$user_opts |= 2097152;
+			$users_opt |= 2097152;
 		}
 		$GLOBALS['phpgw']->db->query("INSERT INTO phpgw_fud_users (last_visit, join_date, theme, alias, login, email, passwd, name, users_opt, phpgw_id) VALUES(".time().", ".time().", {$theme}, '{$alias}', '{$login}', '{$email}', '{$row['account_pwd']}', '{$name}', {$users_opt}, {$phpgw_id})");
 	}
Index: setup/base/include/core.inc
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/include/core.inc,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 core.inc
--- setup/base/include/core.inc	1 Nov 2003 22:58:45 -0000	1.1.1.1
+++ setup/base/include/core.inc	16 Mar 2004 08:59:00 -0000
@@ -42,8 +42,8 @@
         if (@count($_POST)) {
 		array_walk($_POST, 'strip_quotes');
 	}
-        if (@count($_COOKIES)) {
-		array_walk($_COOKIES, 'strip_quotes');
+        if (@count($_COOKIE)) {
+		array_walk($_COOKIE, 'strip_quotes');
 	}
 	if (@count($_FILES)) {
 		array_walk($_FILES, 'strip_quotes');
Index: setup/base/include/nntp.inc
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/include/nntp.inc,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 nntp.inc
--- setup/base/include/nntp.inc	1 Nov 2003 22:58:46 -0000	1.1.1.1
+++ setup/base/include/nntp.inc	16 Mar 2004 08:59:00 -0000
@@ -44,7 +44,6 @@
 			switch ($this->cmd('AUTHINFO user '.$this->user, false)) {
 				case 281:
 					return true;
-					break 2;
 				case 381:
 					if ($this->cmd('AUTHINFO pass '.$this->pass, false) != 281) {
 						$this->error = "Authentication failed\n";
@@ -52,10 +51,8 @@
 					} else {
 						return true;
 					}
-					break;
 				default:
 					return false;
-					break;
 			}
 		} else if (!($this->nntp_opt & 64)) {
 			if ($this->cmd('AUTHINFO SIMPLE', false) != 350) {
@@ -411,7 +414,7 @@
 			// Handle File Attachments
 			if (isset($this->attachments) && is_array($this->attachments)) {
 				foreach($this->attachments as $key => $val) {
-					if (!($nntp_adm->nntp_opt & 8) && (strlen($val) > $frm->max_attach_size || (isset($attach_list) && count($attach_list) > $frm->max_file_attachments) || filter_ext($key))) {
+					if (!($nntp_adm->nntp_opt & 8) && ((strlen($val) > $frm->max_attach_size) || (isset($attach_list) && (count($attach_list) > $frm->max_file_attachments)) || filter_ext($key))) {
 						continue;
 					}
 
Index: setup/base/include/scripts_common.inc
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/include/scripts_common.inc,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 scripts_common.inc
--- setup/base/include/scripts_common.inc	1 Nov 2003 22:58:46 -0000	1.1.1.1
+++ setup/base/include/scripts_common.inc	16 Mar 2004 08:59:00 -0000
@@ -65,13 +67,10 @@
 		case 'quoted-printable':
 			// Remove soft line breaks & decode
 		        return quoted_printable_decode(preg_replace("!=\r?\n!", '', $str));
-			break;
 		case 'base64':
 			return base64_decode($str);
-			break;
 		default:
 			return $str;
-			break;
 	}
 }
 
Index: setup/base/www_root/adm/admcat.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admcat.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admcat.php
--- setup/base/www_root/adm/admcat.php	1 Nov 2003 22:58:39 -0000	1.1.1.1
+++ setup/base/www_root/adm/admcat.php	16 Mar 2004 08:59:02 -0000
@@ -10,6 +10,8 @@
 * (at your option) any later version.
 ***************************************************************************/
 
+// $cat_description,$cat_name are undefined - incoming from FORM
+
 	require('./GLOBALS.php'); fud_phpgw();
 
 	fud_use('adm.inc', true);
Index: setup/base/www_root/adm/admforum.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admforum.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admforum.php
--- setup/base/www_root/adm/admforum.php	1 Nov 2003 22:58:40 -0000	1.1.1.1
+++ setup/base/www_root/adm/admforum.php	16 Mar 2004 08:59:02 -0000
@@ -10,6 +10,8 @@
 * (at your option) any later version.
 ***************************************************************************/
 
+// $frm_name, $frm_descr, $frm_post_passwds, $frm_forum_icon is undefined; incoming from FORM
+
 function get_max_upload_size()
 {
 	$us = strtolower(ini_get('upload_max_filesize'));
Index: setup/base/www_root/adm/admglobal.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admglobal.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admglobal.php
--- setup/base/www_root/adm/admglobal.php	1 Nov 2003 22:58:40 -0000	1.1.1.1
+++ setup/base/www_root/adm/admglobal.php	16 Mar 2004 08:59:02 -0000
@@ -224,7 +224,7 @@
 	print_reg_field('Flood Trigger (seconds)', 'FLOOD_CHECK_TIME', 1);
 	print_reg_field('Moved Topic Pointer Expiry', 'MOVED_THR_PTR_EXPIRY', 1);
 ?>
-<tr bgcolor="#bff8ff"><td colspan=2>Server Time Zone: <font size="-1"> <?php echo $help_ar['SERVER_TZ'][0]; ?></font><br /><select name="CF_SERVER_TZ" style="font-size: xx-small;"><?php echo tmpl_draw_select_opt($tz_values, $tz_names, $SERVER_TZ, '', ''); ?></select></td></tr>
+<tr bgcolor="#bff8ff"><td colspan=2>Server Time Zone: <font size="-1"> <?php echo $help_ar['SERVER_TZ'][0]; ?></font><br /><select name="CF_SERVER_TZ" style="font-size: xx-small;"><?php echo tmpl_draw_select_opt($tz_values, $tz_names, $SERVER_TZ, '', ''); /* $tz_values,$tz_names are undefined */ ?></select></td></tr>
 <?php
 	print_bit_field('Forum Search Engine', 'FORUM_SEARCH');
 	print_reg_field('Search results cache', 'SEARCH_CACHE_EXPIRY', 1);
Index: setup/base/www_root/adm/admmassemail.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admmassemail.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admmassemail.php
--- setup/base/www_root/adm/admmassemail.php	1 Nov 2003 22:58:37 -0000	1.1.1.1
+++ setup/base/www_root/adm/admmassemail.php	16 Mar 2004 08:59:02 -0000
@@ -26,13 +26,13 @@
 
 	if (!empty($_POST['subject']) && !empty($_POST['body'])) {
 		if (!$_POST['group']) {
-			$c = uq('SELECT email FROM '.$DBHOST_TBL_PREFIX.'users '.(isset($POST['ignore_override']) ? '' : 'WHERE (users_opt & 8)=0'));
+			$c = uq('SELECT email FROM '.$DBHOST_TBL_PREFIX.'users '.(isset($_POST['ignore_override']) ? '' : 'WHERE (users_opt & 8)=0'));
 		} else if (!isset($groups[$_POST['group']])) {
 			echo '<font color="+1" color="red">Invalid group id</font><br />';
 			$err = 1;
 			$c = uq('SELECT id FROM '.$DBHOST_TBL_PREFIX.'users WHERE id=-1');
 		} else {
-			$c = uq('SELECT email FROM '.$DBHOST_TBL_PREFIX.'group_members gm INNER JOIN '.$DBHOST_TBL_PREFIX.'users u ON u.id=gm.user_id WHERE gm.group_id='.$_POST['group'].(isset($POST['ignore_override']) ? '' : ' AND (users_opt & 8)=0'));
+			$c = uq('SELECT email FROM '.$DBHOST_TBL_PREFIX.'group_members gm INNER JOIN '.$DBHOST_TBL_PREFIX.'users u ON u.id=gm.user_id WHERE gm.group_id='.$_POST['group'].(isset($_POST['ignore_override']) ? '' : ' AND (users_opt & 8)=0'));
 		}
 
 		$email_block = 50;
Index: setup/base/www_root/adm/admmlist.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admmlist.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admmlist.php
--- setup/base/www_root/adm/admmlist.php	1 Nov 2003 22:58:40 -0000	1.1.1.1
+++ setup/base/www_root/adm/admmlist.php	16 Mar 2004 08:59:02 -0000
@@ -10,10 +10,12 @@
 * (at your option) any later version.
 ***************************************************************************/
 
+// $ml_name,$ml_forum_id,$ml_mlist_opt,$ml_subject_regex_needle,$ml_body_regex_needle,$ml_additional_headers are undefined; incoming from FORM
+
 function format_regex(&$regex)
 {
 	if (empty($regex)) {
		return;
 	}
 
 	$s = strpos($regex, '/') + 1;
Index: setup/base/www_root/adm/admnntp.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admnntp.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admnntp.php
--- setup/base/www_root/adm/admnntp.php	1 Nov 2003 22:58:39 -0000	1.1.1.1
+++ setup/base/www_root/adm/admnntp.php	16 Mar 2004 08:59:02 -0000
@@ -10,6 +10,8 @@
 * (at your option) any later version.
 ***************************************************************************/
 
+// $nntp_server,$nntp_port,$nntp_timeout,$nntp_newsgroup,$nntp_nntp_opt,$nntp_login,$nntp_pass,$nntp_forum_id are undefined; incoming from FORM
+
 	require('./GLOBALS.php'); fud_phpgw();
 	fud_use('adm.inc', true);
 	fud_use('widgets.inc', true);
Index: setup/base/www_root/adm/admspell.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admspell.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admspell.php
--- setup/base/www_root/adm/admspell.php	1 Nov 2003 22:58:37 -0000	1.1.1.1
+++ setup/base/www_root/adm/admspell.php	16 Mar 2004 08:59:02 -0000
@@ -22,7 +22,7 @@
 	if (!empty($_POST['words'])) {
 		$wl = explode("\n", trim($_POST['words']));
 		if (count($wl)) {
-			$pspell_config = pspell_config_create($usr->pspell_lang);
+			$pspell_config = pspell_config_create($usr->pspell_lang); // $usr possible udefined
 			pspell_config_personal($pspell_config, $FORUM_SETTINGS_PATH."forum.pws");
 			$pspell_link = pspell_new_config($pspell_config);

Index: setup/base/www_root/adm/admthemes.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admthemes.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admthemes.php
--- setup/base/www_root/adm/admthemes.php	1 Nov 2003 22:58:39 -0000	1.1.1.1
+++ setup/base/www_root/adm/admthemes.php	16 Mar 2004 08:59:02 -0000
@@ -10,6 +10,8 @@
 * (at your option) any later version.
 ***************************************************************************/
 
+// $thm_name,$thm_theme,$thm_lang are undefined; incoming from FORM
+
 function get_func_usage(&$toks)
 {
 	foreach ($toks as $k => $tok) {
Index: setup/base/www_root/adm/admuser.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/admuser.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 admuser.php
--- setup/base/www_root/adm/admuser.php	1 Nov 2003 22:58:38 -0000	1.1.1.1
+++ setup/base/www_root/adm/admuser.php	16 Mar 2004 08:59:02 -0000
@@ -43,7 +43,7 @@
 			}
 
 			if (isset($_GET['f'])) {
-				header('Location: '.$WWW_ROOT.__fud_index_name__.$usr->returnto);
+				header('Location: '.$WWW_ROOT.__fud_index_name__.$usr->returnto); // $usr possible undefined
 				exit;
 			}
 			break;
Index: setup/base/www_root/adm/consist.php
===================================================================
RCS file: /cvsroot/phpgroupware/fudforum/setup/base/www_root/adm/consist.php,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 consist.php
--- setup/base/www_root/adm/consist.php	1 Nov 2003 22:58:39 -0000	1.1.1.1
+++ setup/base/www_root/adm/consist.php	16 Mar 2004 08:59:02 -0000
@@ -133,7 +133,7 @@
 	$c = q('SELECT id, view_order FROM '.$tbl.'cat ORDER BY view_order, id');
 	while ($r = db_rowarr($c)) {
 		if ($r[1] != $i) {
-			q('UPDATE '.$tbl.'cat SET view_order='.$i.' WHERE id='.$id);
+			q('UPDATE '.$tbl.'cat SET view_order='.$i.' WHERE id='.$r[0]);
 		}
 		++$i;
 	}