# HG changeset patch
# User John D
# Date 1430699909 14400
#      Sun May 03 20:38:29 2015 -0400
# Node ID 2cfbe42496882e042726958f35afc5b8507e09e9
# Parent  160c1a23560c177e230214a9dc4fa892db017a48
gcc: update to 5.1.0, update isl, libgpg_error

* src/build-gcc.mk: update version, checksum, remove cloog as a dependancy

* src/gcc-isl-1-fixes.patch: remove patch

* src/isl-1-fixes.patch: update patch

* src/isl.mk: update version, checksum

* src/libgpg_error-1-fixes.patch: remove patch

* src/libgpg_error.mk: update version, checksum

* src/native-gcc.mk: update version, checksum, remove cloog as a dependancy

* dist-files.mk: remove gcc-isl-1-fixes.patch, libgpg_error-1-fixes.patch

diff -r 160c1a23560c -r 2cfbe4249688 dist-files.mk
--- a/dist-files.mk	Wed Apr 29 19:59:34 2015 -0400
+++ b/dist-files.mk	Sun May 03 20:38:29 2015 -0400
@@ -101,7 +101,6 @@
   gcc-2-darwin-no-pie.patch \
   gcc-cloog.mk \
   gcc-gmp.mk \
-  gcc-isl-1-fixes.patch \
   gcc-isl.mk \
   gcc-mpc.mk \
   gcc-mpfr.mk \
@@ -236,7 +235,6 @@
   libgnurx.mk \
   libgomp-test.c \
   libgomp.mk \
-  libgpg_error-1-fixes.patch \
   libgpg_error.mk \
   libgsasl-1-fixes.patch \
   libgsasl-test.c \
diff -r 160c1a23560c -r 2cfbe4249688 src/build-gcc.mk
--- a/src/build-gcc.mk	Wed Apr 29 19:59:34 2015 -0400
+++ b/src/build-gcc.mk	Sun May 03 20:38:29 2015 -0400
@@ -3,14 +3,14 @@
 
 PKG             := build-gcc
 $(PKG)_IGNORE   :=
-$(PKG)_VERSION  := 4.9.2
-$(PKG)_CHECKSUM := 79dbcb09f44232822460d80b033c962c0237c6d8
+$(PKG)_VERSION  := 5.1.0
+$(PKG)_CHECKSUM := b6c947b09adf780fe02065d0c48bfd7b4bdddfa3
 $(PKG)_SUBDIR   := gcc-$($(PKG)_VERSION)
 $(PKG)_FILE     := gcc-$($(PKG)_VERSION).tar.bz2
 $(PKG)_URL      := ftp://ftp.gnu.org/pub/gnu/gcc/gcc-$($(PKG)_VERSION)/$($(PKG)_FILE)
 $(PKG)_URL_2    := ftp://ftp.mirrorservice.org/sites/sourceware.org/pub/gcc/releases/gcc-$($(PKG)_VERSION)/$($(PKG)_FILE)
 
-$(PKG)_DEPS := build-cmake gcc-cloog gcc-gmp gcc-isl gcc-mpc gcc-mpfr
+$(PKG)_DEPS := build-cmake gcc-gmp gcc-isl gcc-mpc gcc-mpfr
 ifneq ($(MXE_NATIVE_BUILD),yes)
   $(PKG)_DEPS += build-binutils
 endif
diff -r 160c1a23560c -r 2cfbe4249688 src/gcc-isl-1-fixes.patch
--- a/src/gcc-isl-1-fixes.patch	Wed Apr 29 19:59:34 2015 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,12 +0,0 @@
-diff -ur a/include/isl/int.h b/include/isl/int.h
---- a/include/isl/int.h	2012-11-29 03:47:32.000000000 -0500
-+++ b/include/isl/int.h	2014-02-19 02:44:04.311137242 -0500
-@@ -14,7 +14,7 @@
- #include <string.h>
- #include <gmp.h>
- #if defined(__cplusplus)
--#include <iostream>
-+#include <ostream>
- #endif
- 
- #if defined(__cplusplus)
diff -r 160c1a23560c -r 2cfbe4249688 src/isl-1-fixes.patch
--- a/src/isl-1-fixes.patch	Wed Apr 29 19:59:34 2015 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,36 +0,0 @@
-diff -ur a/include/isl/int.h b/include/isl/int.h
---- a/include/isl/int.h	2012-11-29 03:47:32.000000000 -0500
-+++ b/include/isl/int.h	2014-02-19 02:44:04.311137242 -0500
-@@ -14,7 +14,7 @@
- #include <string.h>
- #include <gmp.h>
- #if defined(__cplusplus)
--#include <iostream>
-+#include <ostream>
- #endif
- 
- #if defined(__cplusplus)
-diff -u isl-0.12.2.orig/Makefile.am isl-0.12.2/Makefile.am
---- isl-0.12.2.orig/Makefile.am	2014-04-25 14:38:30.985118233 -0400
-+++ isl-0.12.2/Makefile.am	2014-04-25 14:39:56.860765352 -0400
-@@ -154,7 +154,7 @@
- 	isl_sample_piplib.h \
- 	isl_piplib.c
- libisl_la_LIBADD = @PIPLIB_LIBS@ @GMP_LIBS@
--libisl_la_LDFLAGS = -version-info @versioninfo@ \
-+libisl_la_LDFLAGS = -no-undefined -version-info @versioninfo@ \
- 	@PIPLIB_LDFLAGS@ @GMP_LDFLAGS@
- libisl_la_CPPFLAGS = $(INCLUDES) @PIPLIB_CPPFLAGS@ @GMP_CPPFLAGS@
- 
-diff -u isl-0.12.2.orig/Makefile.in isl-0.12.2/Makefile.in
---- isl-0.12.2.orig/Makefile.in	2014-04-25 14:38:30.972117984 -0400
-+++ isl-0.12.2/Makefile.in	2014-04-25 14:40:36.809531647 -0400
-@@ -645,7 +645,7 @@
- 	isl_piplib.c
- 
- libisl_la_LIBADD = @PIPLIB_LIBS@ @GMP_LIBS@
--libisl_la_LDFLAGS = -version-info @versioninfo@ \
-+libisl_la_LDFLAGS = -no-undefined -version-info @versioninfo@ \
- 	@PIPLIB_LDFLAGS@ @GMP_LDFLAGS@
- 
- libisl_la_CPPFLAGS = $(INCLUDES) @PIPLIB_CPPFLAGS@ @GMP_CPPFLAGS@
diff -r 160c1a23560c -r 2cfbe4249688 src/isl.mk
--- a/src/isl.mk	Wed Apr 29 19:59:34 2015 -0400
+++ b/src/isl.mk	Sun May 03 20:38:29 2015 -0400
@@ -3,8 +3,8 @@
 
 PKG             := isl
 $(PKG)_IGNORE   :=
-$(PKG)_VERSION  := 0.12.2
-$(PKG)_CHECKSUM := ca98a91e35fb3ded10d080342065919764d6f928
+$(PKG)_VERSION  := 0.14
+$(PKG)_CHECKSUM := b09e25df265c97ed54002cd811d227a9a26c5f9c
 $(PKG)_SUBDIR   := $(PKG)-$($(PKG)_VERSION)
 $(PKG)_FILE     := $(PKG)-$($(PKG)_VERSION).tar.bz2
 $(PKG)_URL      := ftp://gcc.gnu.org/pub/gcc/infrastructure/$($(PKG)_FILE)
diff -r 160c1a23560c -r 2cfbe4249688 src/libgpg_error-1-fixes.patch
--- a/src/libgpg_error-1-fixes.patch	Wed Apr 29 19:59:34 2015 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,11 +0,0 @@
-diff -uNr a/src/gpg-error.def.in b/src/gpg-error.def.in
---- a/src/gpg-error.def.in	2010-07-20 12:04:41.000000000 -0400
-+++ b/src/gpg-error.def.in	2013-05-27 15:46:34.469380322 -0400
-@@ -4,7 +4,6 @@
- 
- #include <config.h>
- 
--EXPORTS
-  gpg_strerror                 @1
-  gpg_strerror_r               @2  
-  gpg_strsource                @3  
diff -r 160c1a23560c -r 2cfbe4249688 src/libgpg_error.mk
--- a/src/libgpg_error.mk	Wed Apr 29 19:59:34 2015 -0400
+++ b/src/libgpg_error.mk	Sun May 03 20:38:29 2015 -0400
@@ -3,8 +3,8 @@
 
 PKG             := libgpg_error
 $(PKG)_IGNORE   :=
-$(PKG)_VERSION  := 1.11
-$(PKG)_CHECKSUM := be209b013652add5c7e2c473ea114f58203cc6cd
+$(PKG)_VERSION  := 1.19
+$(PKG)_CHECKSUM := 4997951ab058788de48b989013668eb3df1e6939
 $(PKG)_SUBDIR   := libgpg-error-$($(PKG)_VERSION)
 $(PKG)_FILE     := libgpg-error-$($(PKG)_VERSION).tar.bz2
 $(PKG)_URL      := ftp://ftp.gnupg.org/gcrypt/libgpg-error/$($(PKG)_FILE)
diff -r 160c1a23560c -r 2cfbe4249688 src/native-gcc.mk
--- a/src/native-gcc.mk	Wed Apr 29 19:59:34 2015 -0400
+++ b/src/native-gcc.mk	Sun May 03 20:38:29 2015 -0400
@@ -3,14 +3,14 @@
 
 PKG             := native-gcc
 $(PKG)_IGNORE   :=
-$(PKG)_VERSION  := 4.9.2
-$(PKG)_CHECKSUM := 79dbcb09f44232822460d80b033c962c0237c6d8
+$(PKG)_VERSION  := 5.1.0
+$(PKG)_CHECKSUM := b6c947b09adf780fe02065d0c48bfd7b4bdddfa3
 $(PKG)_SUBDIR   := gcc-$($(PKG)_VERSION)
 $(PKG)_FILE     := gcc-$($(PKG)_VERSION).tar.bz2
 $(PKG)_URL      := ftp://ftp.gnu.org/pub/gnu/gcc/gcc-$($(PKG)_VERSION)/$($(PKG)_FILE)
 $(PKG)_URL_2    := ftp://ftp.mirrorservice.org/sites/sourceware.org/pub/gcc/releases/gcc-$($(PKG)_VERSION)/$($(PKG)_FILE)
 
-$(PKG)_DEPS := native-binutils cloog gmp isl mpc mpfr
+$(PKG)_DEPS := native-binutils gmp isl mpc mpfr
 ifeq ($(MXE_SYSTEM),mingw)
   $(PKG)_DEPS += mingw-w64
 endif